using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.OKR
{
    /// <summary>
    /// 规则类型枚举
    /// </summary>
    public enum RuleTypeEnum
    {
        /// <summary>
        /// 求和
        /// </summary>
        [EnumField("求和")]
        Sum = 1,

        /// <summary>
        /// 求平均
        /// </summary>
        [EnumField("求平均")]
        Avg = 2,

        /// <summary>
        /// 求数量
        /// </summary>
        [EnumField("求数量")]
        Count = 3,

        /// <summary>
        /// 最大值
        /// </summary>
        [EnumField("最大值")]
        Max = 4,

        /// <summary>
        /// 最小值
        /// </summary>
        [EnumField("最小值")]
        Min = 5
    }
}
